## r-cran-g.data 2.0

=== DESCRIPTION ===
Package: g.data
Version: 2.0
Date: 2009-01-09
Title: Delayed-Data Packages
Author: David Brahm <brahm@alum.mit.edu>
Maintainer: David Brahm <brahm@alum.mit.edu>
Description: Create and maintain delayed-data packages (DDP's).  Data stored in
  a DDP are available on demand, but do not take up memory until requested.
  You attach a DDP with g.data.attach(), then read from it and assign to it in
  a manner similar to S-Plus, except that you must run g.data.save() to
  actually commit to disk.
License: GPL
Packaged: Mon Jan 12 15:03:40 2009; a215020

=== debian/changelog ===
r-cran-g.data (2.0-4) unstable; urgency=low

  * Added patch to include a NAMESPACE file

 -- Steffen Moeller <moeller@debian.org>  Mon, 21 Nov 2011 18:07:43 +0100

r-cran-g.data (2.0-3) unstable; urgency=low

  * Rebuilt against R 2.14.0
  * Set policy to 3.9.2
    (debian/control, no changes needed).
  * Source format set to 3.0 (quilt)

 -- Steffen Moeller <moeller@debian.org>  Mon, 21 Nov 2011 17:52:56 +0100

r-cran-g.data (2.0-2) unstable; urgency=low

  * Rebuilt against R 2.10.0 (new documentation system).
  * Incremented Standards-Version to reflect compliance with Policy 3.8.3
    (debian/control, no changes needed).
  * Upgraded to Debhelper 7 (debian/control).
  * Documented various informations in debian/upstream-metadata.yaml.
  * Converted debian/copyright to my latest experimentation on the format.

 -- Charles Plessy <plessy@debian.org>  Tue, 27 Oct 2009 13:36:39 +0900

r-cran-g.data (2.0-1) unstable; urgency=low

  * Initial release (Closes: #530004).

 -- Steffen Moeller <moeller@debian.org>  Fri, 22 May 2009 21:05:06 +0200

=== debian/control ===
Source: r-cran-g.data
Section: gnu-r
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
 Charles Plessy <plessy@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7), cdbs, r-base-dev
Standards-Version: 3.9.2
Homepage: http://cran.r-project.org/web/packages/g.data
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-cran-g.data/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/R/r-cran-g.data/trunk/

Package: r-cran-g.data
Architecture: all
Depends: ${shlibs:Depends}, r-base-core
Description: GNU R package for delayed-data
 g.data creates and maintains delayed-data packages (DDP's). Data
 stored in a DDP are available on demand, but do not take up memory
 until requested.  You attach a DDP with g.data.attach(), then read from
 it and assign to it in a manner similar to S-Plus, except that you must
 run g.data.save() to actually commit to disk.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-qtl package
# Copyright 2003-2006 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/R/debian/r-cran.mk

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/g.data_([-0-9\.]*)\.tar\.gz

## r-cran-g.data 2.3

=== DESCRIPTION ===
Package: g.data
Version: 2.3
Date: 2013-01-25
Title: Delayed-Data Packages
Author: David Brahm <brahm@alum.mit.edu>
Maintainer: David Brahm <brahm@alum.mit.edu>
Description: Create and maintain delayed-data packages (ddp's).  Data
        stored in a ddp are available on demand, but do not take up
        memory until requested.  You attach a ddp with g.data.attach(),
        then read from it and assign to it in a manner similar to
        S-PLUS, except that you must run g.data.save() to actually
        commit to disk.
License: GPL
Packaged: 2013-01-25 22:54:57 UTC; a215020
Repository: CRAN
Date/Publication: 2013-01-26 08:21:28

=== debian/changelog ===
r-cran-g.data (2.3-1build1) saucy; urgency=low

  * Rebuild against R 3.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 10:05:37 +0100

r-cran-g.data (2.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control: removed obsolete field DM-Upload-Allowed.
  * debian/control: normalised with 'cme fix dpkg-control'.
  * debian/control, debian/compat: use Debhelper 9.
  * debian/control: acquire ${R:Depends} from r-cran.mk.
  * debian/control: normalised VCS URLs.
  * debian/patches: removed (solved upstream).
  * debian/copyright: converted to machine-readable format.
  * Conforms to Policy 3.9.4 (debian/control, no other changes needed).

 -- Charles Plessy <plessy@debian.org>  Thu, 04 Apr 2013 07:57:35 +0900

=== debian/control ===
Source: r-cran-g.data
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Charles Plessy <plessy@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-g.data/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-g.data/trunk/
Homepage: http://cran.r-project.org/web/packages/g.data

Package: r-cran-g.data
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         r-base-core
Description: GNU R package for delayed-data
 g.data creates and maintains delayed-data packages (DDP's). Data
 stored in a DDP are available on demand, but do not take up memory
 until requested.  You attach a DDP with g.data.attach(), then read from
 it and assign to it in a manner similar to S-Plus, except that you must
 run g.data.save() to actually commit to disk.

## r-cran-g.data 2.4

=== DESCRIPTION ===
Package: g.data
Version: 2.4
Date: 2013-12-16
Title: Delayed-Data Packages
Author: David Brahm <brahm@alum.mit.edu>
Maintainer: David Brahm <brahm@alum.mit.edu>
Description: Create and maintain delayed-data packages (ddp's).  Data stored in
  a ddp are available on demand, but do not take up memory until requested.
  You attach a ddp with g.data.attach(), then read from it and assign to it in
  a manner similar to S-PLUS, except that you must run g.data.save() to
  actually commit to disk.
License: GPL
Packaged: 2013-12-16 22:06:04 UTC; a215020
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-12-17 07:09:33

=== debian/changelog ===
r-cran-g.data (2.4-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * Convert from cdbs to dh-r
  * debhelper 10
  * Secure URI in watch file
  * Canonical homepage for CRAN packages
  * Reviewed copyright

 -- Andreas Tille <tille@debian.org>  Thu, 19 Oct 2017 13:21:14 +0200

r-cran-g.data (2.4-1) unstable; urgency=low

  [ Charles Plessy ]
  * debian/control: removed myself from Uploaders. 

  [ Andreas Tille ]
  * New upstream version
  * cme fix dpkg-control
  * add autopkgtest
  * debian/copyright: fix copyright syntax

 -- Andreas Tille <tille@debian.org>  Tue, 12 Aug 2014 16:57:21 +0200

=== debian/control ===
Source: r-cran-g.data
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-g.data.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-g.data.git
Homepage: https://cran.r-project.org/package=g.data

Package: r-cran-g.data
Architecture: all
Depends: ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package for delayed-data
 g.data creates and maintains delayed-data packages (DDP's). Data
 stored in a DDP are available on demand, but do not take up memory
 until requested.  You attach a DDP with g.data.attach(), then read from
 it and assign to it in a manner similar to S-Plus, except that you must
 run g.data.save() to actually commit to disk.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/g.data_([-0-9\.]*)\.tar\.gz

## r-cran-g.data 2.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: g.data
-Version: 2.4
-Date: 2013-12-16
+Version: 2.4.1
+Date: 2024-01-30
 Title: Delayed-Data Packages
 Author: David Brahm <brahm@alum.mit.edu>
 Maintainer: David Brahm <brahm@alum.mit.edu>
@@ -10,7 +10,7 @@
   a manner similar to S-PLUS, except that you must run g.data.save() to
   actually commit to disk.
 License: GPL
-Packaged: 2013-12-16 22:06:04 UTC; a215020
+Packaged: 2024-01-30 18:52:45 UTC; David
 NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2013-12-17 07:09:33
+Date/Publication: 2024-01-30 22:30:05 UTC

=== debian/changelog ===
r-cran-g.data (2.4.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 01 Feb 2024 16:40:48 +0100

r-cran-g.data (2.4-4) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Fri, 15 May 2020 21:57:06 +0200

r-cran-g.data (2.4-3) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 12:13:06 +0200

=== debian/control ===
Source: r-cran-g.data
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-g.data
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-g.data.git
Homepage: https://cran.r-project.org/package=g.data
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev

Package: r-cran-g.data
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package for delayed-data
 g.data creates and maintains delayed-data packages (DDP's). Data
 stored in a DDP are available on demand, but do not take up memory
 until requested.  You attach a DDP with g.data.attach(), then read from
 it and assign to it in a manner similar to S-Plus, except that you must
 run g.data.save() to actually commit to disk.
